Subject: Re: [RFD] Place to document magic pathspecs like ":/" and pathspec handling

From: Jakub Narębski <[email-masked]>
Date: Wed, 29 Jun 2016 23:22:03 +0200

W dniu 2016-06-29 o 21:51, Junio C Hamano pisze:
> On Wed, Jun 29, 2016 at 12:47 PM, Jakub Narębski <[email-masked]> wrote:
>> I have noticed that the magic pathspec ":/" is described only in RelNotes
>> for revision 1.7.6:
>> |I think the reason might be that there was no good place to put that
>> information in.  Nowadays we have gitcli(7) manual page, but perhaps
> $ git help glossary
>
> look for pathspec.
Thanks. I haven't noticed that.

But I think it is not the best place to keep this documentation.
There are the following issues with it:

* it is hard to find; I did not search _glossary_ for information
  about how Git handles pathspecs, I would search it if I didn't know
  what pathspec means.

* it is longest entry in glossary, and the only one with nested
  list, but

* it is also too short to describe how Git handles pathspecs in detail,
  and a bit cryptic; there are no examples (so grepping docs for '":/"'
  didn't found it).

-- 
Jakub Narębski